#doctrine:
#    dbal:
#
#        # configure these for your database server
#
#
#        driver: 'pdo_mysql'
#        server_version: '5.7'
#        charset: utf8
#
#        url: '%env(resolve:DATABASE_URL)%'
#
#        # IMPORTANT: You MUST configure your server version,
#        # either here or in the DATABASE_URL env var (see .env file)
#        #server_version: '5.7'
#    orm:
#        default_entity_manager: default
#        auto_generate_proxy_classes: true
#        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
#        auto_mapping: true
#        mappings:
#            App:
#                is_bundle: false
#                type: annotation
#                dir: '%kernel.project_dir%/src/Entity'
#                prefix: 'App\Entity'
#                alias: App
#            gedmo_tree:
#                type: annotation
#                prefix: Gedmo\Tree\Entity
#                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Tree/Entity"
#                alias: GedmoTree # (optional) it will default to the name set for the mapping
#                is_bundle: false
#
doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App

when@test:
    doctrine:
        dbal:
            # "TEST_TOKEN" is typically set by ParaTest
            dbname_suffix: '_test%env(default::TEST_TOKEN)%'

when@prod:
    doctrine:
        orm:
            auto_generate_proxy_classes: false
            query_cache_driver:
                type: pool
                pool: doctrine.system_cache_pool
            result_cache_driver:
                type: pool
                pool: doctrine.result_cache_pool

    framework:
        cache:
            pools:
                doctrine.result_cache_pool:
                    adapter: cache.app
                doctrine.system_cache_pool:
                    adapter: cache.system
